Add a New Agent
POST
Add a new Agent to Team
header
AuthorizationBearer <token>Authenticate with Authorization: Bearer <token> using a user API token from Profile Settings. Available in Chatwoot v4.19.0 and later.
account_id*integerThe numeric ID of the account
team_id*integerThe ID of the team to be updated
application/json- body
user_ids*array<integer>IDs of users to be added to the team
Success
application/json- response
Array of all active agents
[index: integer]?curl -X POST 'https://helpdesk.inclamo.com/api/v1/accounts/0/teams/0/team_members' \ -H 'Content-Type: application/json' \ -d '{ "user_ids": [ 0 ]}'Example Response
[ { "id": 0, "account_id": 0, "availability_status": "online", "auto_offline": true, "confirmed": true, "email": "string", "available_name": "string", "name": "string", "role": "agent", "thumbnail": "string", "custom_role_id": 0 }]